#include "main.h"

CkChareID mainhandle;
int ngroup;

main::main(CkArgMsg *m)
{
  mainhandle = thishandle;
  nodesDone = 0;
  CkPrintf("Creating Nodes\n");
  ngroup = CProxy_Node::ckNew();
}

void main::done(void)
{
  nodesDone++;
  if(nodesDone == CkNumNodes()) {
    CkPrintf("All Nodes done. Exiting...\n");
    CkExit();
  }
}

#include "main.def.h"
